searchData={"content_type":"text/markdown","items":[{"doc":"","ref":"AddressUS.html","title":"AddressUS","type":"module"},{"doc":"Abbreviates the state provided.","ref":"AddressUS.html#abbreviate_state/1","title":"AddressUS.abbreviate_state/1","type":"function"},{"doc":"iex> AddressUS.abbreviate_state(\"Wyoming\")\n    \"WY\"\n    iex> AddressUS.abbreviate_state(\"wyoming\")\n    \"WY\"\n    iex> AddressUS.abbreviate_state(\"Wyomin\")\n    \"Wyomin\"\n    iex> AddressUS.abbreviate_state(nil)\n    nil","ref":"AddressUS.html#abbreviate_state/1-example","title":"Example - AddressUS.abbreviate_state/1","type":"function"},{"doc":"Converts the country to the 2 digit ISO country code.  \"US\" is default.","ref":"AddressUS.html#get_country_code/1","title":"AddressUS.get_country_code/1","type":"function"},{"doc":"iex> AddressUS.Parser.get_country_code(nil)\n    \"US\"\n    iex> AddressUS.Parser.get_country_code(\"Afghanistan\")\n    \"AF\"\n    iex> AddressUS.Parser.get_country_code(\"AF\")\n    \"AF\"","ref":"AddressUS.html#get_country_code/1-example","title":"Example - AddressUS.get_country_code/1","type":"function"},{"doc":"Container for the struct that contains the Address information.","ref":"AddressUS.Address.html","title":"AddressUS.Address","type":"module"},{"doc":"Struct containing Address information.","ref":"AddressUS.Address.html#__struct__/0","title":"AddressUS.Address.__struct__/0","type":"function"},{"doc":"","ref":"AddressUS.Address.html#t:t/0","title":"AddressUS.Address.t/0","type":"type"},{"doc":"Contains all of the config parameters for the address parser.","ref":"AddressUS.Config.html","title":"AddressUS.Config","type":"module"},{"doc":"","ref":"AddressUS.Config.html#countries/0","title":"AddressUS.Config.countries/0","type":"function"},{"doc":"","ref":"AddressUS.Config.html#directions/0","title":"AddressUS.Config.directions/0","type":"function"},{"doc":"","ref":"AddressUS.Config.html#reversed_directions/0","title":"AddressUS.Config.reversed_directions/0","type":"function"},{"doc":"","ref":"AddressUS.Config.html#secondary_units/0","title":"AddressUS.Config.secondary_units/0","type":"function"},{"doc":"","ref":"AddressUS.Config.html#states/0","title":"AddressUS.Config.states/0","type":"function"},{"doc":"","ref":"AddressUS.Config.html#street_suffixes/0","title":"AddressUS.Config.street_suffixes/0","type":"function"},{"doc":"Parses US Addresses.","ref":"AddressUS.Parser.html","title":"AddressUS.Parser","type":"module"},{"doc":"Parses a raw address into all of its requisite parts according to USPS\nsuggestions for address parsing.","ref":"AddressUS.Parser.html#parse_address/1","title":"AddressUS.Parser.parse_address/1","type":"function"},{"doc":"1) if street suffix is left off while parsing a full multi-line address,\n    it will fail unless there is a comma or newline separating the street\n    name from the city.","ref":"AddressUS.Parser.html#parse_address/1-known-bugs","title":"Known Bugs - AddressUS.Parser.parse_address/1","type":"function"},{"doc":"iex> AddressUS.Parser.parse_address(\"2345 S B Street, Denver, CO 80219\")\n    %AddressUS.Address{city: \"Denver\", plus_4: nil, postal: \"80219\",\n    state: \"CO\", street: %AddressUS.Street{name: \"B\", pmb: nil,\n    post_direction: nil, pre_direction: \"S\", primary_number: \"2345\",\n    secondary_designator: nil, secondary_value: nil, suffix: \"St\"}}","ref":"AddressUS.Parser.html#parse_address/1-examples","title":"Examples - AddressUS.Parser.parse_address/1","type":"function"},{"doc":"Parses the raw street portion of an address into its requisite parts\naccording to USPS suggestions for address parsing.","ref":"AddressUS.Parser.html#parse_address_line/1","title":"AddressUS.Parser.parse_address_line/1","type":"function"},{"doc":"iex> AddressUS.Parser.parse_address_line(\"2345 S. Beade St\")\n    %AddressUS.Street{name: \"Beade\", pmb: nil, post_direction: nil, pre_direction: \"S\",\n    primary_number: \"2345\", secondary_designator: nil, secondary_value: nil,\n    suffix: \"St\"}","ref":"AddressUS.Parser.html#parse_address_line/1-examples","title":"Examples - AddressUS.Parser.parse_address_line/1","type":"function"},{"doc":"Parses a csv, but instead of parsing at every comma, it only splits at the\nlast one found.  This allows it to handle situations where the first value\nparsed has a comma in it that is not part of what you want to parse.","ref":"AddressUS.Parser.html#parse_csv/1","title":"AddressUS.Parser.parse_csv/1","type":"function"},{"doc":"iex> AddressUS.Parser.parse_csv(\"test/test.csv\")\n    %{\"Something Horrible, (The worst place other than Wyoming)\" => \"SH\",\n    \"Wyoming\" => \"WY\"}","ref":"AddressUS.Parser.html#parse_csv/1-example","title":"Example - AddressUS.Parser.parse_csv/1","type":"function"},{"doc":"","ref":"AddressUS.Phone.html","title":"AddressUS.Phone","type":"module"},{"doc":"Removes non-numeric characters from the phone number and then returns the\ninteger.","ref":"AddressUS.Phone.html#clean_phone_number/1","title":"AddressUS.Phone.clean_phone_number/1","type":"function"},{"doc":"iex> AddressUS.clean_phone_number(\"(303) 310-7802\")\n    3033107802","ref":"AddressUS.Phone.html#clean_phone_number/1-examples","title":"Examples - AddressUS.Phone.clean_phone_number/1","type":"function"},{"doc":"Removes country code and associated punctuation from the phone number.","ref":"AddressUS.Phone.html#filter_country_code/1","title":"AddressUS.Phone.filter_country_code/1","type":"function"},{"doc":"iex> AddressUS.filter_country_code(\"+1 303-310-7802\")\n    \"303-310-7802\"\n    iex> AddressUS.filter_country_code(\"+1 (303) 310-7802\")\n    \"(303) 310-7802\"\n    iex> AddressUS.filter_country_code(\"+1-303-310-7802\")\n    \"303-310-7802\"\n    iex> AddressUS.filter_country_code(\"1-303-310-7802\")\n    \"303-310-7802\"","ref":"AddressUS.Phone.html#filter_country_code/1-examples","title":"Examples - AddressUS.Phone.filter_country_code/1","type":"function"},{"doc":"Container for the struct that contains the Street information for an address.","ref":"AddressUS.Street.html","title":"AddressUS.Street","type":"module"},{"doc":"Struct containing the Street information.","ref":"AddressUS.Street.html#__struct__/0","title":"AddressUS.Street.__struct__/0","type":"function"},{"doc":"","ref":"AddressUS.Street.html#t:t/0","title":"AddressUS.Street.t/0","type":"type"},{"doc":"","ref":"AddressUS.Util.html","title":"AddressUS.Util","type":"module"},{"doc":"","ref":"AddressUS.Util.html#safe_contains?/2","title":"AddressUS.Util.safe_contains?/2","type":"function"},{"doc":"","ref":"AddressUS.Util.html#safe_has_key?/2","title":"AddressUS.Util.safe_has_key?/2","type":"function"},{"doc":"","ref":"AddressUS.Util.html#safe_replace/3","title":"AddressUS.Util.safe_replace/3","type":"function"},{"doc":"","ref":"AddressUS.Util.html#safe_starts_with?/2","title":"AddressUS.Util.safe_starts_with?/2","type":"function"},{"doc":"","ref":"AddressUS.Util.html#safe_upcase/1","title":"AddressUS.Util.safe_upcase/1","type":"function"},{"doc":"","ref":"AddressUS.Util.html#title_case/1","title":"AddressUS.Util.title_case/1","type":"function"}],"producer":{"name":"ex_doc","version":[48,46,51,50,46,50]}}